package be.jeffcheasey88.peeratcode.parser.java.operation;

import java.util.function.Function;

import be.jeffcheasey88.peeratcode.parser.java.JavaElement;
import be.jeffcheasey88.peeratcode.parser.java.Value;

public class IfOperation extends OperationBag{
	
	private Value condition;
	
	public IfOperation(Value condition){
		super();
	}
	
	public Value getCondition(){
		return this.condition;
	}

	@Override
	public <E extends JavaElement> E find(Function<JavaElement, Boolean> finder){
		if(finder.apply(condition)) return (E)condition;
		return super.find(finder);
	}
}
