package be.jeffcheasey88.peeratcode.parser.java.operation;

import java.util.function.Function;

import be.jeffcheasey88.peeratcode.parser.java.JavaElement;
import be.jeffcheasey88.peeratcode.parser.java.Variable;

public class TryOperation extends OperationBag{

	private Variable resource;
	
	public TryOperation(){
		super();
	}
	
	public TryOperation(Variable resource){
		this();
		this.resource = resource;
	}
	
	public Variable getResource(){
		return this.resource;
	}

	@Override
	public <E extends JavaElement> E find(Function<JavaElement, Boolean> finder){
		if(finder.apply(resource)) return (E)resource;
		return super.find(finder);
	}
}
